{% extends 'base.html.twig' %}

{% block title %}Welcome on my website !{% endblock %}

{% block stylesheets %}
  <link href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">
{% endblock %}

{% block body %}
  {# La navbar Bootstrap #}
  {% include 'partials/navbar.html.twig' %}
  <h1>Welcome mate !</h1>
  <p>
    {{ msg }}
  </p>

  <h2>Personne</h2>
  {# Affichage de la personne #}
  Nom :        {{ personne.nom          | upper }}<br>
  Prénom :     {{ personne.prenom       | lower }}<br>
  Adresse :    {{ personne.getAdresse()         }}<br>
  Adresse V2 : {{ personne.toString()           }}<br>

  <h2>Une variable oubliée par le contrôleur</h2>
  Facture : {{ numerofacture | default(personne.nom) }}

  <h2>Jours ouvrés : {{ jourOuvres | length }}</h2>
  {% for jour in jourOuvres %}
    {{ jour }}<br>
  {% endfor %}

  {% if jourOuvres | length < 6 %}
    <p>Le week-end n'est pas affiché</p>
  {% endif %}

  {# {{ entreprise | companyLink }} #}

  <h2>Une image</h2>
  <img class='thumbnail img-responsive w-25' src="{{ asset("images/carriage_return.png") }}" alt="Photo">
{% endblock %}

{% block javascripts %}
  <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/js/bootstrap.min.js" integrity="sha384-wfSDF2E50Y2D1uUdj0O3uMBJnjuUD4Ih7YwaYd1iqfktj0Uod8GCExl3Og8ifwB6" crossorigin="anonymous"></script>
  <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/js/bootstrap.bundle.min.js" integrity="sha384-6khuMg9gaYr5AxOqhkVIODVIvm9ynTT5J4V1cfthmT+emCG6yVmEZsRHdxlotUnm" crossorigin="anonymous"></script>
{% endblock %}